## com.bbn.openmap.image
Class ImageIOFormatter

    java.lang.Object
      |
      +--com.bbn.openmap.image.AbstractImageFormatter
            |
            +--com.bbn.openmap.image.ImageIOFormatter

All Implemented Interfaces:
  java.util.EventListener, ImageFormatter, java.beans.PropertyChangeListener, PropertyConsumer

Direct Known Subclasses:
  GIFImageIOFormatter, PNGImageIOFormatter

public abstract class ImageIOFormatter
extends AbstractImageFormatter

Field Summary
`protected java.lang.String` `formatName`

Fields inherited from class com.bbn.openmap.image.AbstractImageFormatter
`bufferedImage, layers, propertiesPrefix`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`ImageIOFormatter()`

Method Summary
`byte[]` `formatImage(java.awt.image.BufferedImage bi)` Convert a BufferedImage to a image file format...
`java.lang.String` `getFormatName()`
`void` `setFormatName(java.lang.String formatName)`

Methods inherited from class com.bbn.openmap.image.AbstractImageFormatter
`getBufferedImage, getGraphics, getGraphics, getImageBytes, getImageFromMapBean, getImageFromMapBean, getImageFromMapBean, getProperties, getPropertyInfo, getPropertyPrefix, getScaledBufferedImage, getScaledImageBytes, makeClone, propertyChange, setBufferedImage, setProperties, setProperties, setPropertyPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.image.ImageFormatter
`getFormatLabel`

Field Detail

### formatName

    protected java.lang.String formatName

Constructor Detail

### ImageIOFormatter

    public ImageIOFormatter()

Method Detail

### getFormatName

    public java.lang.String getFormatName()

### setFormatName

    public void setFormatName(java.lang.String formatName)

  Parameters:
    `formatName` - The formatName to set.

### formatImage

    public byte[] formatImage(java.awt.image.BufferedImage bi)

  Description copied from class: `AbstractImageFormatter`
  Convert a BufferedImage to a image file format...

  Specified by:
    `formatImage` in interface `ImageFormatter`
  Specified by:
    `formatImage` in class `AbstractImageFormatter`
  Parameters:
    `bi` - a BufferedImage..

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details